Retrieve a lookup Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
GET /api/v1/lookups/{type}/{lookup}

Try to find a Lookup value for a specific type.

Headers

  • X-PLANNR-ACCOUNT-UUID string

Path parameters

  • type string Required
  • lookup string Required

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • uuid string

        The UUID of the resource.

      • created_at string

        The timestamp of when the resource was created.

      • updated_at string

        The timestamp of when the resource was updated.

      • type string

        Lookup type

      • lookupable_type string

        The model type you are looking up against

      • lookupable_uuid string

        The UUID of the model of the lookup value you are looking up against

      • lookupable_value string

        The description of the model of the lookup value you are looking up against

      • lookup_value string

        A string of a lookup value you are looking up against

      • returnable_type string

        The model type that was found by this lookup

      • returnable_uuid string

        The model UUID that was found by this lookup

      • returnable_value string

        The description of the model that was found by this lookup

      • return_string string

        The return value that was found by this lookup

      • return_json object

        The return value that was found by this lookup

        Hide return_json attributes Show return_json attributes object
        • key_1 string
        • key_2 string
      • return_float number

        The return value that was found by this lookup

GET /api/v1/lookups/{type}/{lookup}
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/lookups/provider_statement_mapping/architecto' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
  "data": [
    {
      "uuid": "3e0cc0c6-f04f-418c-a3dc-6faf8d8d81e5",
      "created_at": "2026-07-21T10:23:54+01:00",
      "updated_at": "2026-07-21T10:23:54+01:00",
      "type": "provider_statement_mapping",
      "lookupable_type": "provider",
      "lookupable_uuid": "9bdeacd5-2dee-47a1-8d57-906127d293ad",
      "lookupable_value": "J Bloggs Plan",
      "lookup_value": "zAbWeFVJ:Bloggs J",
      "returnable_type": "plan",
      "returnable_uuid": "0e0a9cdf-ca30-4fa3-bdb4-ac1bd67adc56",
      "returnable_value": "example",
      "return_string": "Consectetur officia labore",
      "return_json": {
        "key_1": "value_1",
        "key_2": "value_2"
      },
      "return_float": 70.35
    }
  ]
}